#
# spec file for package listres
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           listres
Version:        1.0.6
Release:        lp160.1.2
Summary:        Utility to list X resources in widgets
License:        X11
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The listres program generates a list of X resources for a widget
in an X client written using a toolkit based on libXt.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING
%{_bindir}/listres
%{_mandir}/man1/listres.1%{?ext_man}

%changelog
* Mon Mar  4 2024 Stefan Dirsch <sndirsch@suse.com>
- update to version 1.0.6
  * gitlab CI: stop requiring Signed-off-by in commits
  * Print which argument was unknown before giving usage message
  * Add -help and -version options
* Sun Apr  3 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.5
  * bugfix release
* Mon Mar  5 2018 sndirsch@suse.com
- Update to version 1.0.4
  * config: Add missing AC_CONFIG_SRCDIR
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.3:
  + Replace computed printf format string with static string.
  + Combine usage string/fprintf calls into one.
  + listres depends on xproto, not x11 (Xlib).
  + Man page fixes.
  + Build system fixes.
- Replace pkgconfig(x11) BuildRequires with pkgconfig(xproto),
  following upstreams changes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split listres from xorg-x11. Initial version: 1.0.2.
